Skip to main content
GET
/
v1
/
video_translate
/
{task_id}
cURL
curl --request GET \
  --url https://api.keevx.com/v1/video_translate/{task_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.keevx.com/v1/video_translate/{task_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.keevx.com/v1/video_translate/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 0,
  "msg": "ok",
  "data": {
    "task_id": "vt-d6b6472bcf724d0399e06d1390cb964e",
    "name": "<string>",
    "language": "<string>",
    "status": "SUCCEEDED",
    "video_url": "https://storage.googleapis.com/xiling_us_central1_bucket/backend-saas-cdn/video-translate/9966750584897124421/sample_0.mp4",
    "caption_url": "https://storage.googleapis.com/xiling_us_central1_bucket/backend-saas-cdn/video-translate/9966750584897124421/sample_0.ass",
    "error_message": ""
  }
}
{
"code": 100001,
"msg": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string
required

The unique ID of a previously submitted translation task to query.

Response

Task status response

Video translate task response wrapper

code
integer
required

Status code

Example:

0

msg
string
required

Response message

Example:

"ok"

data
object
required

Task details payload